/* 
    The Astrix means that it is selecting all elements
*/
*,
*::before,
*::after
{
    box-sizing: border-box;
    font-family: var(--ff-primaryFont);
    font-weight: normal;
}
/* Root is where you store custom variables */
:root{
    --ff-primaryFont: 'Source Code Pro', monospace;
    --background-colour:  #753a88;
    --button-background: rgba(255,255,255,0.75);
    --button-backgroundHover: rgba(255,255,255,0.9);
    --output-background: rgba(0,0,0,1);

    --num-rows-smaller-screen: 8;
    --num-rows-standard-screen: 7;
}

body{
    background: var(--background-colour);
}

.calcLayout
{
    display: grid;
    justify-content: center;
    align-content: center;
    /* 100vh is 100% vertical height */
    min-height: 100vh;

    grid-template-columns: repeat(4, 100px);
    grid-template-rows: minmax(120px, auto)repeat(var(--num-rows-standard-screen), 100px);
}

/* buttons styling */
.btn{
    cursor: pointer;
    font-size: 2rem;
    border: 1px solid black;
    outline: none;
    background: var(--button-background);
}

.btn:hover{
    background: var(--button-backgroundHover);
}

.output{
    grid-column: 1/-1;
    background: var(--output-background);

    display: flex;
    align-items: flex-end;
    justify-content: space-around;
    flex-direction: column;
    padding: 10px;
    word-wrap: break-word;
    word-break: break-all;
}

.output .output-0
{
    color: var(--button-background);
    font-size: 1.5rem;
}

.output .output-1{
    color: white;
    font-size: 2.5rem;
}

@media screen and (max-width: 450px) {
    .calcLayout{
        width: 100%;
        justify-content: center;
        align-content: center;
        min-height: 100vh;

        grid-template-columns: repeat(3, 100px);
        grid-template-rows: minmax(120px, auto)repeat(var(--num-rows-smaller-screen), 100px);
    }
    .btn{
        font-size: 1rem;
    }
}
@media screen and (max-width: 330px) {
    .calcLayout{
        width: 100%;
        justify-content: center;
        align-content: center;
        min-height: 100vh;

        grid-template-columns: repeat(3, 90px);
        grid-template-rows: minmax(110px, auto)repeat(var(--num-rows-smaller-screen), 90px);
    }
    .btn{
        font-size: 1rem;
    }
}
@media screen and (max-width: 280px) {
    .calcLayout{
        width: 100%;
        justify-content: center;
        align-content: center;
        min-height: 100vh;

        grid-template-columns: repeat(3, 75px);
        grid-template-rows: minmax(100px, auto)repeat(var(--num-rows-smaller-screen), 75px);
    }
    .btn{
        font-size: 1rem;
    }
}

